Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Every endpoint, with a playground
curl --request POST \ --url 'https://api.nsr.stateset.com/api/v1/constraints/validate' \ --header 'X-API-Key: YOUR_API_KEY' \ --header 'Content-Type: application/json' \ --data '{ "facts": [ "string" ] }'
{ "hard_violations": 1, "has_refutation": true, "soft_violations": 1, "total_penalty": 1, "valid": true, "violations": [ { "confidence_penalty": 1, "constraint_id": "string", "explanation": "string", "is_hard": true, "satisfied": true } ] }
Required scope: write
write
ValidateConstraintsRequest
ValidateConstraintsResponse
Show ConstraintViolationResponse
200
401
403
429